var ExtensionClass = function() {};

ExtensionClass.prototype = {
    run: function(arguments) {
        arguments.completionFunction({
            "title": document.title,
            "selection":  window.getSelection().toString()
        });
    }
};


var ExtensionPreprocessingJS = new ExtensionClass;
